/*
 
 This file is part of Subconnector.
 
 Subconnector is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 Subconnector is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with Subconnector. If not, see <http://www.gnu.org/licenses/>.
 
 Copyright 2012, 2013 Alejandro Celaya Alastrué
 
 */

package net.subclient.subsonic.util;

import static org.junit.Assert.*;

import org.junit.Test;

/**
 * {@link net.subclient.subsonic.util.HTMLUtils HTMLUtils} Test Case
 * @author Alejandro Celaya Alastrué
 */
public class HTMLUtilsTest {

	@Test
	public void testDecode() {
		String encoded1 	= "Ti&#235;sto",
			   expected1 	= "Tiësto",
			   encoded2		= "&#163;&#167;&#181;",
			   expected2 	= "£§µ",
			   encoded3 	= "&#338;&#8220;&#8224;",
			   expected3 	= "Œ“†";
		assertEquals(expected1, HTMLUtils.decode(encoded1));
		assertEquals(expected2, HTMLUtils.decode(encoded2));
		assertEquals(expected3, HTMLUtils.decode(encoded3));
	}

}
